package com.hzya.frame.sys.userOrg.dao;

import com.hzya.frame.sys.userOrg.entity.UserOrg;
import java.util.List;

/**
 * @description: 人员组织表  dao
 * @tableName: sys_user_org 
 * @entityName: UserOrg
 * @author: gjh
 * @history: 1.0
 */
public interface IUserOrgMapper {

        //通过ID获取数据    entity_get
        UserOrg entity_get(String id);

        //查询 采用==查询   entity_list_base
        List<UserOrg> entity_list_base(UserOrg entity);

        //  查询符合条件的数量
        Integer entity_count(UserOrg entity);

        //分页查询列表 采用like格式 entity_list_like
        List<UserOrg> entity_list_like(UserOrg entity);

        //查询列表 字段采用or格式   entity_list_or
        List<UserOrg> entity_list_or(UserOrg entity);

        //新增  entity_insert
        Integer entity_insert(UserOrg entity);

        //修改  entity_update
        Integer entity_update(UserOrg entity);

        //逻辑删除    entity_delete
        Integer entity_logicDelete(UserOrg entity);

        //逻辑删除多条件
        Integer entity_logicDelete_Multi_Condition(UserOrg entity);

        //物理删除
        Integer entity_delete(UserOrg entity);


}
